% Simple NMF based on beta-divergence config file

%%% File name setting %%%
inputDirName = sprintf('./input');      % Path of the input file directory
inputFileName = sprintf('C5-C6.wav');   % Name of the input file
outputDirName = sprintf('./output');    % Path of the output file directory
outputFileName = sprintf('output.wav'); % Name of the output file

%%% STFT setting %%%
fftSize = 4096;   % Number of points for FFT
shiftSize = 2048; % Number of points for window shift

%%% NMF setting %%%
beta = 2;         % beta divergence for main cost of NMF
nb = 8;           % Number of bases
iteration = 100;  % Number of iterations
seed = 1;         % pseudorandom seed